clear all; 
close all; 

N = 1000; 
N0 = 100;
n = 50;
gamma = 2 - 1/log(2);

est1 = zeros(N0,1);
est2 = zeros(N0,1);

for k = 1:N0
    % The standard estimator 
    for i = 1:N
        if(sum(rand(50,1)) >= n*gamma)
            est1(k) = est1(k) + 1;
        end
    end
    est1(k) = est1(k) / N;


    % The importance sampling estimator
    for i = 1:N
        tmp = log(rand(50,1)+1) / log(2);
        if(sum(tmp) >= n*gamma)
            est2(k) = est2(k) + (log(2)^(-n))*(2^(-sum(tmp)));
        end
    end
    est2(k) = est2(k)/N;
end