clear all;
close all; 

N = 10000;
P = [0 1/2 1/2; 
     0 1/2 1/2;
     1/4 3/4 0];

for i = 1:3
    tau = zeros(N, 1);
    for j = 1:N
        X = i;
        k = 0;
        while(X ~= i || k == 0)
            X = min(find(rand<cumsum(P(X,:))));
            k = k+1;
        end
        tau(j) = k;
    end
    m = mean(tau);
    fprintf('The estimated expectation of the first passage time %d is %1.4f \n', [i m]);
end

